package cz.finance.blocking.transactionstorage.controller;

import cz.finance.blocking.transactionstorage.entity.Transaction;
import cz.finance.blocking.transactionstorage.repository.TransactionRepository;
import lombok.RequiredArgsConstructor;

import java.util.List;

import org.springframework.data.domain.PageRequest;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/transactions")
@RequiredArgsConstructor
public class TransactionController {

    private final TransactionRepository transactionRepository;

    @GetMapping
    public Iterable<Transaction> getAllTransactions(@RequestParam(value = "limit", required = false) Integer limit) {
        if (limit != null) {
            return transactionRepository.findAll(PageRequest.of(0, limit)).getContent();
        }
        return transactionRepository.findAll();
    }

    @PutMapping("/batch")
    public Iterable<Transaction> getAllTransactionsBatch(@RequestBody List<String> usernames) {
        return transactionRepository.findAllByUsernames(usernames);
    }

    @PostMapping
    public void createTransaction(@RequestBody Transaction transaction) {
        transactionRepository.save(transaction);
    }
}
