package cz.finance.blocking.usermanagement.repository;

import cz.finance.blocking.usermanagement.entity.User;
import org.bson.types.ObjectId;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;

public interface UserRepository extends MongoRepository<User, ObjectId> {

    User findByUsername(String username);

    @Query("{'age': {'$gte': ?0, '$lte': ?1}}")
    List<User> findByAgeRange(Integer from, Integer to);

    Long deleteByUsername(String username);
}
