package cz.finance.blocking.usermanagement.jwt;

import io.jsonwebtoken.Jwts;
import io.jsonwebtoken.SignatureAlgorithm;
import io.jsonwebtoken.security.Keys;
import org.junit.Test;

import java.security.Key;
import java.util.Base64;

public class JwtVerificationTest {

    private static final String VALID_JWT = "eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJNci5Nb2NrIn0.BI1JR1mJnDabNGJqb8EunzOAv0kvOYMUECE9I5IMjQGHRuAaizNlMTIMsupag0IlFpKvnmam8kyTZGkjASHRsg";
    private static final String BASE_64_KEY = "GTMNNA1d8x8l5kROB1KdmFEYW9McNoC7592LWb1JqB8wb6lh2h+HI3CGxKr7jXO3pwbmF7T/tTkgCALCINb8kw==";

    @Test
    public void createJwtToken() {
        byte[] encodedKey = Base64.getDecoder().decode(BASE_64_KEY);
        String jws = Jwts.builder().setSubject("Mr.Mock").signWith(Keys.hmacShaKeyFor(encodedKey)).compact();
        System.out.println(jws);
    }

    @Test
    public void verifyJwtToken() {
        Jwts.parser().setSigningKey(BASE_64_KEY).parseClaimsJws(VALID_JWT);
    }

    @Test
    public void generateKey() {
        Key key = Keys.secretKeyFor(SignatureAlgorithm.HS512);
        var encodedKey = Base64.getEncoder().encodeToString(key.getEncoded());
        System.out.println(encodedKey);
    }
}
