package cz.finance.reactive.analytics.client;

import com.fasterxml.jackson.annotation.JsonValue;
import cz.finance.reactive.analytics.model.Transaction;
import feign.RequestLine;
import lombok.Getter;
import lombok.RequiredArgsConstructor;
import reactor.core.publisher.Flux;

public interface TransactionStorageClient {

    @RequestLine("PUT /transactions/batch")
    Flux<Transaction> getAllByUsernames(Flux<Username> usernames);

    @Getter
    @RequiredArgsConstructor
    class Username {
        @JsonValue
        private final String username;
    }

}
