package cz.finance.reactive.transactionstorage.repository;

import cz.finance.reactive.transactionstorage.entity.Transaction;
import org.bson.types.ObjectId;
import reactor.core.publisher.Flux;

import java.util.List;

import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;

public interface TransactionRepository extends ReactiveMongoRepository<Transaction, ObjectId> {

    @Query("{}")
    Flux<Transaction> findAll(Pageable pageable);

    @Query("{'username': {'$in': ?0}}")
    Flux<Transaction> findAllByUsernames(List<String> usernames);
}
