package cz.finance.reactive.usermanagement.repository;

import cz.finance.reactive.usermanagement.entity.User;
import org.bson.types.ObjectId;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import org.springframework.data.mongodb.repository.Query;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;

public interface UserRepository extends ReactiveMongoRepository<User, ObjectId> {

    Mono<User> findByUsername(String username);

    @Query("{'age': {'$gte': ?0, '$lte': ?1}}")
    Flux<User> findByAgeRange(Integer from, Integer to);

    Mono<Long> deleteByUsername(String username);
}
