resource "aws_route53_zone" "private" {
  name = "finance-local.cloud"
  vpc {
    vpc_id = "${aws_vpc.finance-services-vpc.id}"
  }
}

resource "aws_route53_record" "discovery-service-dns-record" {
  zone_id = "${aws_route53_zone.private.id}"
  name = "discovery.finance-local.cloud"
  type = "A"
  ttl = "300"
  records = [
    "${aws_instance.discovery-service.private_ip}"]
}

resource "aws_route53_record" "mongo-db-dns-record" {
  zone_id = "${aws_route53_zone.private.id}"
  name = "mongo.finance-local.cloud"
  type = "A"
  ttl = "300"
  records = [
    "${aws_instance.mongo-db.private_ip}"]
}