package cz.finance.generator;

import com.mongodb.MongoClient;
import com.mongodb.MongoClientURI;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Import;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.SimpleMongoDbFactory;

@SpringBootApplication(exclude = MongoAutoConfiguration.class)
@Import(DataGenerator.class)
public class GeneratorApplication {

    public static void main(String[] args) {
        SpringApplication.run(GeneratorApplication.class, args);
    }

    @Bean
    public MongoTemplate transactionTemplate() {
        return dbTemplate("transactions");
    }

    @Bean
    public MongoTemplate userTemplate() {
        return dbTemplate("users");
    }

    private MongoTemplate dbTemplate(String dbName) {
        return new MongoTemplate(new SimpleMongoDbFactory(new MongoClient(new MongoClientURI("mongodb://MongoUser:MongoPassword@localhost:27017/admin")), dbName));
    }

}
