package thesis

import io.gatling.core.Predef._
import io.gatling.http.Predef._
import scala.concurrent.duration._

class AverageSpendingSimulation extends Simulation {

  val ANALYTICS_URL = "http://localhost:8081"

  val httpProtocol = http
    .baseUrl(ANALYTICS_URL)
    .acceptHeader("application/json")

  val ageFeeder = Array(
    Map("fromAge" -> 20, "toAge" -> 29),
    Map("fromAge" -> 30, "toAge" -> 39),
    Map("fromAge" -> 40, "toAge" -> 49)
  ).random

  val averageSpending = scenario("AverageSpendingScenario")
    .feed(ageFeeder)
    .exec(http("calculate")
      .get("/analytics/spending")
      .queryParam("fromAge", "${fromAge}")
      .queryParam("toAge", "${toAge}"))

  setUp(
    averageSpending.inject(atOnceUsers(250)),
  ).protocols(httpProtocol)
}