package thesis

import io.gatling.core.Predef._
import io.gatling.http.Predef._
import scala.concurrent.duration._
import scala.util.Random

class GetAllTransactionsSimulation extends Simulation {

  val TRANSACTION_STORAGE_URL = "http://localhost:8083"

  val httpProtocol = http
    .baseUrl(TRANSACTION_STORAGE_URL)
    .acceptHeader("application/json")

  val limitFeeder = Array(
    Map("limit" -> 1),
    Map("limit" -> 500),
    Map("limit" -> 1000)
  ).random

  val getAllScenario = scenario("GetAllTransactionsScenario")
    .feed(limitFeeder)
    .exec(http("getAll")
      .get("/transactions")
      .queryParam("limit", "${limit}"))

  setUp(
    getAllScenario.inject(atOnceUsers(250)),
  ).protocols(httpProtocol)

}