package thesis

import io.gatling.core.Predef._
import io.gatling.http.Predef._
import scala.concurrent.duration._

class VerifyTokenSimulation extends Simulation {

  val TOTAL_USERS = 250;
  val ERR_RATE = 0.1;
  val invalidUsers = (TOTAL_USERS * ERR_RATE).toInt;
  val validUsers = TOTAL_USERS - invalidUsers;

  val USER_MANAGEMENT_URL = "http://localhost:8082"
  val VERIFY_TOKEN_URL = "/users/verification"

  val VALID_JWT_TOKEN = ""
  val INVALID_JWT_TOKEN = ""
  val httpProtocol = http
    .baseUrl(USER_MANAGEMENT_URL)
    .acceptHeader("application/json")

  val validToken = scenario("ValidTokenScenario")
    .exec(http("verify")
      .get(VERIFY_TOKEN_URL)
      .queryParam("token", VALID_JWT_TOKEN))

  val invalidToken = scenario("InvalidTokenScenario")
    .exec(http("verifyInvalid")
      .get(VERIFY_TOKEN_URL)
      .queryParam("token", INVALID_JWT_TOKEN)
      .check(status.is(401)))

  setUp(
    validToken.inject(atOnceUsers(validUsers)),
    invalidToken.inject(atOnceUsers(invalidUsers))
  ).protocols(httpProtocol)
}